Subject: Re: [Mipshop] About the time when PAR buffers the packets destined for PCoA?

From: Rajeev Koodli <[email-masked]>
Date: Sun, 04 Apr 2004 20:43:07 -0700

Hi,

PAR may still use RtSolPr message as an indication to start
buffering, but that's not the only way. It may always keep a
small buffer, and use buffer-and-forward approach. This is
especially useful for reactive handovers.
The issue tracker should state this is closed.

-Rajeev

?@=BHF wrote:

> Hello Mipshopers, While I am studying fmipv6 draft from the
> implementation aspect, I have found some issues I still don't
> understand. According to the mailing list and issue-tracker, the issue
> about 'U' bit within RtSolPr message has been pending now. But in the
> newest version of fmipv6 draft (01 version), this 'U' bit in the
> RtSolPr message is omitted now. I may guess the following comments
> might be the main reason for  this omission, I think. Am I
> right? Furthermove, If there is no role of MN to decide PAR's
> buffering, what supports or triggers PAR to start buffering the
> packets destined for PCoA?  How the PAR know the starting time for
> buffering? Anyone can answer this?   - Rajee wrote :> >>The question
> is should the MN have the option of requesting it. I
> > >>recognize that with NAR
> > >>doing buffering, the MN is not involved in requesting
> > >>buffering. For symmetry,
> > >>we either have the 'U' bit in both the cases, or we should
> > >>drop it. What do
> > >>others
> > >>think ?
> > >>
> > >>-Rajeev> >>James wrote:
> > >>
> > >>I think limiting the amount of complexity in a protocol is a
> > >>good idea and I
> > >>can't see any basis upon which an MN could make a decision
> > >>about whether
> > >>buffering was or was not a good idea, since the MN can't know
> > >>nor can it
> > >>easily find out what the access network topology looks like,
> > >>which would
> > >>provide it information about whether buffering was a good
> > >>idea. Therefore, I
> > >>think the 'U' bit should be dropped.In the case of 'fmip serv over
> WLAN network', it is the host (mobile host), not AR, that knows its
> handover to the NAR. Therefore, I thinks that MN is a right node to
> tell buffering time. So IMHO,  'U' bit in RtSolPr message is
> necessary!  If someone found that I am wrong, I am eager to listen to
> your comments. Pleas don't hesitate topoint out it. ^^  Seung Hun Oh

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop